//////////////////////////////////////////////////
////    Blender's OBJ file viewer v 0.1       ////
////                    by Grgory SMIALEK    ////
////                        October 2003      ////
//////////////////////////////////////////////////
////	Read and display Blender's obj file   ////
//////////////////////////////////////////////////
////	WebSite: www.texel.fr.fm			  ////
////	E-mail : texel@fr.fm				  ////
////////////////////////////////////////////////// 


#include"init.h"


//////////////////////////////////////////////////
// Setup For OpenGL 							//
//////////////////////////////////////////////////
void InitGL(GLvoid)									
{
	MyObj=Extract_Obj_File(MyObj,"BLENDER.obj");

	glShadeModel(GL_SMOOTH);							
	glClearColor(0.0f, 0.0f, 0.0f, 0.5f);			
	glClearDepth(1.0f);								
	glEnable(GL_DEPTH_TEST);						
	glDepthFunc(GL_LEQUAL);							
	glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);	
	glEnable(GL_CULL_FACE);

	glLightfv(GL_LIGHT1, GL_AMBIENT, LightAmbient);	
	glLightfv(GL_LIGHT1, GL_DIFFUSE, LightDiffuse);	
	glLightfv(GL_LIGHT1, GL_POSITION,LightPosition);
	glEnable(GL_LIGHTING);							
	glEnable(GL_LIGHT1);								
	
	glColorMaterial(GL_FRONT, GL_DIFFUSE);				
	glEnable(GL_COLOR_MATERIAL);						

							
}

//////////////////////////////////////////////////
// Draw The OpenGL Scene						//
//////////////////////////////////////////////////
void DrawGLScene(GLvoid)									
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);	


	glPushMatrix();

	glTranslatef(0.0f,-10.0f,-100.0f);				
	glRotatef(rtri,0.0f,1.0f,0.0f);				

	glBegin(GL_TRIANGLES);							
		DisplayFaces(MyObj);
	glEnd();	

	glPopMatrix();

	rtri+=1.0f;						
	if(rtri>=360.0f) rtri=0.0f;

	glutSwapBuffers();
						
}


//////////////////////////////////////////////////
// Resize And Initialize The GL Window	    	//
// width			- width of the window		//
// height			- height of the window		//
//////////////////////////////////////////////////
void ReSizeGLScene(GLsizei width, GLsizei height)		
{

	if (height==0)										
	{
		height=1;										
	}

	glViewport(0,0,width,height);					

	glMatrixMode(GL_PROJECTION);					
	glLoadIdentity();									

	gluPerspective(45.0f,(GLfloat)width/(GLfloat)height,0.1f,300.0f);

	glMatrixMode(GL_MODELVIEW);						
	glLoadIdentity();								
}
